
ScalES-PPM - Bug #346

Failure to apply doxygen CSS patch when building HTML documentation

09/25/2017 07:53 PM - Matthew Krupcale

Status: Feedback Start date: 09/25/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0:00 hour

Target version:    

Description

After applying the patches in #342 and #345, running autoreconf -vif to rebuild the configure and Makefiles, configuring the project

and running

make -C doc/unitdoc html-local,

from the top build directory to build the HTML documentation, make fails when building the target html-local when applying the final

patch to the CSS:

patch -p1 <../../../doc/unitdoc/doxygen.css.patch

patching file html/doxygen.css

Hunk #1 FAILED at 944.

1 out of 1 hunk FAILED -- saving rejects to file html/doxygen.css.rej

 This might be due to a different version of doxygen being used and producing different CSS, but I have fixed this issue by creating a

new doc/unitdoc/doxygen.css.patch file. The attached patch fixes this patch file at least when using doxygen version 1.8.13.

History

#1 - 08/04/2020 08:10 PM - Thomas Jahns

- Status changed from New to Feedback

- % Done changed from 0 to 100

Resolved in commit:bf60175c0f0 part of release 1.0.6. Hopefully, similar errors will not come up in the future since the new method does not rely on

patching.

Files

scales-ppm-doxygen-doxygen.css.patch.patch 886 Bytes 09/25/2017 Matthew Krupcale
